Resume Flow Run
curl --request POST \
--url https://api.example.com/flow_runs/{id}/resume \
--header 'Content-Type: application/json' \
--data '
{
"run_input": {}
}
'import requests
url = "https://api.example.com/flow_runs/{id}/resume"
payload = { "run_input": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({run_input: {}})
};
fetch('https://api.example.com/flow_runs/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message": "Run started",
"data": "<unknown>",
"state_details": {
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_time": "2023-11-07T05:31:56Z",
"cache_key": "<string>",
"cache_expiration": "2023-11-07T05:31:56Z",
"deferred": false,
"untrackable_result": false,
"pause_timeout": "2023-11-07T05:31:56Z",
"pause_reschedule": false,
"pause_key": "<string>",
"run_input_keyset": {},
"refresh_cache": true,
"retriable": true,
"transition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_parameters_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"traceparent": "<string>",
"deployment_concurrency_lease_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"details": {
"type": "accept_details"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Flow Runs
Resume Flow Run
Resume a paused flow run.
POST
/
flow_runs
/
{id}
/
resume
Resume Flow Run
Headers
Path Parameters
The flow run id
Body
application/json
Response
Successful Response
A container for the output of state orchestration.
Represents the state of a run.
Show child attributes
Show child attributes
Enumerates return statuses for setting run states.
Available options:
ACCEPT, REJECT, ABORT, WAIT Details associated with an ACCEPT state transition.
- StateAcceptDetails
- StateWaitDetails
- StateRejectDetails
- StateAbortDetails
Show child attributes
Show child attributes
Was this page helpful?
⌘I